package setting

type LogSettingS struct {
	LogFileName string
	LogFileExt  string
	LogSavePath string
	MaxSize     int
	MaxAge      int
	MaxBackups  int
	Compress    bool
}

type DeviceSettingS struct {
	Mids   []string
	AppID  int64
	AppKey string
}

type InternalRemoteSettingS struct {
	IOT struct {
		IotHost string

		GetDevsInRoomsByHomeIdAndUid string
		GetDevsInfoOfHomeByMac       string
		GetDevCustomData             string

		StartOrCancelScene string
		GetScenes          string

		SetCloudTimerData   string
		GetCloudTimerByMacs string
		DelCloudTimerData   string

		GetGridConList string

		SendDevCmd  string
		SendDevPack string
	}
}

type DBSettingS struct {
	Dsn string
}

type MusicDomainSettingS struct {
	IsQQMusicRemid bool
	QQMusicRemid   string
	AlbumList      []string
}

type AuthSettingS struct {
	AuthorizationTimeout int
	AuthorizationUrl     string
}

type TencentSettingS struct {
	DingDangNluUrl      string
	TencentSha256Secret string
}

type OthersSettingS struct {
	SoundTestUrl string
}

type ServiceSettingS struct {
	Dmsdk string
}

type DevLimitedS struct {
	Mids    []string
	Limited LimitedS
}

type LimitedS struct {
	AlarmNum           int
	Recipe             bool
	FmDomainAlbumList  []string
	Memory             bool
	Screen             bool
	HistoryNum         int
	IsMusicRemid       bool
	MusicRemidText     string
	ShieldedDomainList []string
}

type TencentGwSetting struct {
	Gw struct {
		GwHost string
		GwWs   string
	}
}

type SpeechSettings struct {
	ProductId   string
	ApiKey      string
	Url         string
	FeedBackUrl string
}

type RabbitMqSettings struct {
	Url          string
	ExchangeName string
	ExchangeType string
	RoutingKey   string
}

type RedisSettings struct {
	Host     string
	Port     string
	Username string
	Password string
	Dbname   int
}

func (s *Setting) ReadSection(k string, v interface{}) error {
	return s.vp.UnmarshalKey(k, v)
}
